ECHO +====================================================================+
ECHO + Build ReDMCSB executable files for PC                              +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKII.LOG
ECHO + Build ReDMCSB executable files for PC                              +>>\BUILD\MKII.LOG
ECHO +====================================================================+>>\BUILD\MKII.LOG

CD \SOURCE

SET PATH=\TCPP101\BIN;\TASM20;\LZEXE91

ECHO ----------------------------------------------------------------------
ECHO - Prepare shared components
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Prepare shared components>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E Assemble C0L.OBJ
ECHO ----- I34E Assemble C0L.OBJ>>\BUILD\MKII.LOG
COPY \TCPP101\EXAMPLES\STARTUP\RULES.ASI RULES.ASI >>\BUILD\MKII.LOG
TASM.EXE /d__LARGE__ /mx C0_101.ASM,\OBJECT\I34E\STATS.EXE\C0L.OBJ >>\BUILD\MKII.LOG

IF NOT EXIST \SOURCE\EXEID78.TXT GOTO EXEID76
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\STATS.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\STATS.EXE>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\STATS.EXE Assemble HARDWARE.ASM
ECHO ----- I34E\STATS.EXE Assemble HARDWARE.ASM>>\BUILD\MKII.LOG
IF EXIST \OBJECT\I34E\HARDWARE.OBJ DEL \OBJECT\I34E\HARDWARE.OBJ
TASM.EXE HARDWARE.ASM,\OBJECT\I34E\STATS.EXE\HARDWARE.OBJ >>\BUILD\MKII.LOG
ECHO ----- I34E\STATS.EXE Compile STATS.C
ECHO ----- I34E\STATS.EXE Compile STATS.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=78 -n\OBJECT\I34E\STATS.EXE STATS.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=78 -n\OBJECT\I34E\STATS.EXE STATS.C >>\BUILD\MKII.LOG
ECHO ----- I34E\STATS.EXE Link
ECHO ----- I34E\STATS.EXE Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\STATS.EXE
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ HARDWARE.OBJ STATS.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\STATS.EXE,\BUILD\I34E\STATS.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\STATS.EXE Compress
ECHO ----- I34E\STATS.EXE Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE STATS.EXE >>\BUILD\MKII.LOG
CD \SOURCE

:EXEID76
IF NOT EXIST \SOURCE\EXEID76.TXT GOTO EXEID85
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\INSTALL.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\INSTALL.EXE>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\INSTALL.EXE Compile INSTALL.C
ECHO ----- I34E\INSTALL.EXE Compile INSTALL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=76 -n\OBJECT\I34E\INSTALL.EXE INSTALL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=76 -n\OBJECT\I34E\INSTALL.EXE INSTALL.C >>\BUILD\MKII.LOG
ECHO ----- I34E\INSTALL.EXE Link
ECHO ----- I34E\INSTALL.EXE Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\INSTALL.EXE
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ INSTALL.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\INSTALL.EXE,\BUILD\I34E\INSTALL.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\INSTALL.EXE Compress
ECHO ----- I34E\INSTALL.EXE Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE INSTALL.EXE >>\BUILD\MKII.LOG
CD \SOURCE

:EXEID85
IF NOT EXIST \SOURCE\EXEID85.TXT GOTO EXEID72
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34M\INSTALL.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34M\INSTALL.EXE>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34M\INSTALL.EXE Compile INSTALL.C
ECHO ----- I34M\INSTALL.EXE Compile INSTALL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=85 -n\OBJECT\I34M\INSTALL.EXE INSTALL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=85 -n\OBJECT\I34M\INSTALL.EXE INSTALL.C >>\BUILD\MKII.LOG
ECHO ----- I34M\INSTALL.EXE Link
ECHO ----- I34M\INSTALL.EXE Link>>\BUILD\MKII.LOG
CD \OBJECT\I34M\INSTALL.EXE
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ INSTALL.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34M\INSTALL.EXE,\BUILD\I34M\INSTALL.MAP >>\BUILD\MKII.LOG
ECHO ----- I34M\INSTALL.EXE Compress
ECHO ----- I34M\INSTALL.EXE Compress>>\BUILD\MKII.LOG
CD \BUILD\I34M
LZEXE.EXE INSTALL.EXE >>\BUILD\MKII.LOG
CD \SOURCE

:EXEID72
IF NOT EXIST \SOURCE\EXEID72.TXT GOTO EXEID83
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\DM.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\DM.EXE>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\DM.EXE Assemble DMASM.ASM
ECHO ----- I34E\DM.EXE Assemble DMASM.ASM>>\BUILD\MKII.LOG
IF EXIST \OBJECT\I34E\DMASM.OBJ DEL \OBJECT\I34E\DMASM.OBJ
TASM.EXE DMASM.ASM,\OBJECT\I34E\DM.EXE\DMASM.OBJ >>\BUILD\MKII.LOG
ECHO ----- I34E\DM.EXE Compile DM.C
ECHO ----- I34E\DM.EXE Compile DM.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=72 -n\OBJECT\I34E\DM.EXE DM.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=72 -n\OBJECT\I34E\DM.EXE DM.C >>\BUILD\MKII.LOG
ECHO ----- I34E\DM.EXE Link
ECHO ----- I34E\DM.EXE Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\DM.EXE
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ DMASM.OBJ DM.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\DM.EXE,\BUILD\I34E\DM.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\DM.EXE Compress
ECHO ----- I34E\DM.EXE Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE DM.EXE >>\BUILD\MKII.LOG
CD \SOURCE

:EXEID83
IF NOT EXIST \SOURCE\EXEID83.TXT GOTO EXEID73
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34M\DM.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34M\DM.EXE>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34M\DM.EXE Assemble DMASM.ASM
ECHO ----- I34M\DM.EXE Assemble DMASM.ASM>>\BUILD\MKII.LOG
IF EXIST \OBJECT\I34M\DMASM.OBJ DEL \OBJECT\I34M\DMASM.OBJ
TASM.EXE DMASM.ASM,\OBJECT\I34M\DM.EXE\DMASM.OBJ >>\BUILD\MKII.LOG
ECHO ----- I34M\DM.EXE Compile DM.C
ECHO ----- I34M\DM.EXE Compile DM.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=83 -n\OBJECT\I34M\DM.EXE DM.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=83 -n\OBJECT\I34M\DM.EXE DM.C >>\BUILD\MKII.LOG
ECHO ----- I34M\DM.EXE Link
ECHO ----- I34M\DM.EXE Link>>\BUILD\MKII.LOG
CD \OBJECT\I34M\DM.EXE
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ DMASM.OBJ DM.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34M\DM.EXE,\BUILD\I34M\DM.MAP >>\BUILD\MKII.LOG
ECHO ----- I34M\DM.EXE Compress
ECHO ----- I34M\DM.EXE Compress>>\BUILD\MKII.LOG
CD \BUILD\I34M
LZEXE.EXE DM.EXE >>\BUILD\MKII.LOG
CD \SOURCE

:EXEID73
IF NOT EXIST \SOURCE\EXEID73.TXT GOTO EXEID81
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\EGA
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\EGA>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\EGA Compile VIDEODRV.C
ECHO ----- I34E\EGA Compile VIDEODRV.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=73 -n\OBJECT\I34E\EGA VIDEODRV.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=73 -n\OBJECT\I34E\EGA VIDEODRV.C >>\BUILD\MKII.LOG
ECHO ----- I34E\EGA Link
ECHO ----- I34E\EGA Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\EGA
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ VIDEODRV.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\EGA.EXE,\BUILD\I34E\EGA.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\EGA Compress
ECHO ----- I34E\EGA Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE EGA.EXE >>\BUILD\MKII.LOG
REN EGA.EXE EGA
CD \SOURCE

:EXEID81
IF NOT EXIST \SOURCE\EXEID81.TXT GOTO EXEID80
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\VGA
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\VGA>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\VGA Compile VIDEODRV.C
ECHO ----- I34E\VGA Compile VIDEODRV.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=81 -n\OBJECT\I34E\VGA VIDEODRV.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=81 -n\OBJECT\I34E\VGA VIDEODRV.C >>\BUILD\MKII.LOG
ECHO ----- I34E\VGA Link
ECHO ----- I34E\VGA Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\VGA
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ VIDEODRV.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\VGA.EXE,\BUILD\I34E\VGA.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\VGA Compress
ECHO ----- I34E\VGA Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE VGA.EXE >>\BUILD\MKII.LOG
REN VGA.EXE VGA
CD \SOURCE

:EXEID80
IF NOT EXIST \SOURCE\EXEID80.TXT GOTO EXEID75
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\TANDY
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\TANDY>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\TANDY Compile VIDEODRV.C
ECHO ----- I34E\TANDY Compile VIDEODRV.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=80 -n\OBJECT\I34E\TANDY VIDEODRV.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=80 -n\OBJECT\I34E\TANDY VIDEODRV.C >>\BUILD\MKII.LOG
ECHO ----- I34E\TANDY Link
ECHO ----- I34E\TANDY Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\TANDY
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ VIDEODRV.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\TANDY.EXE,\BUILD\I34E\TANDY.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\TANDY Compress
ECHO ----- I34E\TANDY Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE TANDY.EXE >>\BUILD\MKII.LOG
REN TANDY.EXE TANDY
CD \SOURCE

:EXEID75
IF NOT EXIST \SOURCE\EXEID75.TXT GOTO EXEID79
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\IBMIO
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\IBMIO>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\IBMIO Assemble HARDWARE.ASM
ECHO ----- I34E\IBMIO Assemble HARDWARE.ASM>>\BUILD\MKII.LOG
IF EXIST \OBJECT\I34E\HARDWARE.OBJ DEL \OBJECT\I34E\HARDWARE.OBJ
TASM.EXE HARDWARE.ASM,\OBJECT\I34E\IBMIO\HARDWARE.OBJ >>\BUILD\MKII.LOG
ECHO ----- I34E\IBMIO Compile IBMIO.C
ECHO ----- I34E\IBMIO Compile IBMIO.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=75 -n\OBJECT\I34E\IBMIO IBMIO.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=75 -n\OBJECT\I34E\IBMIO IBMIO.C >>\BUILD\MKII.LOG
ECHO ----- I34E\IBMIO Link
ECHO ----- I34E\IBMIO Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\IBMIO
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ HARDWARE.OBJ IBMIO.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\IBMIO.EXE,\BUILD\I34E\IBMIO.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\IBMIO Compress
ECHO ----- I34E\IBMIO Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE IBMIO.EXE >>\BUILD\MKII.LOG
REN IBMIO.EXE IBMIO
CD \SOURCE

:EXEID79
IF NOT EXIST \SOURCE\EXEID79.TXT GOTO EXEID71
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\SWOOSH
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\SWOOSH>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\SWOOSH Compile SWSH.C
ECHO ----- I34E\SWOOSH Compile SWSH.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=79 -n\OBJECT\I34E\SWOOSH SWSH.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=79 -n\OBJECT\I34E\SWOOSH SWSH.C >>\BUILD\MKII.LOG
ECHO ----- I34E\SWOOSH Link
ECHO ----- I34E\SWOOSH Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\SWOOSH
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ SWSH.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\SWOOSH.EXE,\BUILD\I34E\SWOOSH.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\SWOOSH Compress
ECHO ----- I34E\SWOOSH Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE SWOOSH.EXE >>\BUILD\MKII.LOG
REN SWOOSH.EXE SWOOSH
CD \SOURCE

:EXEID71
IF NOT EXIST \SOURCE\EXEID71.TXT GOTO EXEID82
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\ANIM
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\ANIM>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\ANIM Compile ANIM.C
ECHO ----- I34E\ANIM Compile ANIM.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=71 -n\OBJECT\I34E\ANIM ANIM.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=71 -n\OBJECT\I34E\ANIM ANIM.C >>\BUILD\MKII.LOG
ECHO ----- I34E\ANIM Link
ECHO ----- I34E\ANIM Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\ANIM
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ ANIM.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\ANIM.EXE,\BUILD\I34E\ANIM.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\ANIM Compress
ECHO ----- I34E\ANIM Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE ANIM.EXE >>\BUILD\MKII.LOG
REN ANIM.EXE ANIM
CD \SOURCE

:EXEID82
IF NOT EXIST \SOURCE\EXEID82.TXT GOTO EXEID77
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34M\ANIM
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34M\ANIM>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34M\ANIM Compile ANIM.C
ECHO ----- I34M\ANIM Compile ANIM.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=82 -n\OBJECT\I34M\ANIM ANIM.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=82 -n\OBJECT\I34M\ANIM ANIM.C >>\BUILD\MKII.LOG
ECHO ----- I34M\ANIM Link
ECHO ----- I34M\ANIM Link>>\BUILD\MKII.LOG
CD \OBJECT\I34M\ANIM
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ ANIM.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34M\ANIM.EXE,\BUILD\I34M\ANIM.MAP >>\BUILD\MKII.LOG
ECHO ----- I34M\ANIM Compress
ECHO ----- I34M\ANIM Compress>>\BUILD\MKII.LOG
CD \BUILD\I34M
LZEXE.EXE ANIM.EXE >>\BUILD\MKII.LOG
REN ANIM.EXE ANIM
CD \SOURCE

:EXEID77
IF NOT EXIST \SOURCE\EXEID77.TXT GOTO EXEID86
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\SELECTOR
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\SELECTOR>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\SELECTOR Compile SELECTOR.C
ECHO ----- I34E\SELECTOR Compile SELECTOR.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=77 -n\OBJECT\I34E\SELECTOR SELECTOR.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=77 -n\OBJECT\I34E\SELECTOR SELECTOR.C >>\BUILD\MKII.LOG
ECHO ----- I34E\SELECTOR Link
ECHO ----- I34E\SELECTOR Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\SELECTOR
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ SELECTOR.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34E\SELECTOR.EXE,\BUILD\I34E\SELECTOR.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\SELECTOR Compress
ECHO ----- I34E\SELECTOR Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE SELECTOR.EXE >>\BUILD\MKII.LOG
REN SELECTOR.EXE SELECTOR
CD \SOURCE

:EXEID86
IF NOT EXIST \SOURCE\EXEID86.TXT GOTO EXEID74
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34M\SELECTOR
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34M\SELECTOR>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34M\SELECTOR Compile SELECTOR.C
ECHO ----- I34M\SELECTOR Compile SELECTOR.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -G -B -DEXEID=86 -n\OBJECT\I34M\SELECTOR SELECTOR.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -G    -DEXEID=86 -n\OBJECT\I34M\SELECTOR SELECTOR.C >>\BUILD\MKII.LOG
ECHO ----- I34M\SELECTOR Link
ECHO ----- I34M\SELECTOR Link>>\BUILD\MKII.LOG
CD \OBJECT\I34M\SELECTOR
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ SELECTOR.OBJ \TCPP101\LIB\CL.LIB,\BUILD\I34M\SELECTOR.EXE,\BUILD\I34M\SELECTOR.MAP >>\BUILD\MKII.LOG
ECHO ----- I34M\SELECTOR Compress
ECHO ----- I34M\SELECTOR Compress>>\BUILD\MKII.LOG
CD \BUILD\I34M
LZEXE.EXE SELECTOR.EXE >>\BUILD\MKII.LOG
REN SELECTOR.EXE SELECTOR
CD \SOURCE

:EXEID74
IF NOT EXIST \SOURCE\EXEID74.TXT GOTO EXEID84
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34E\FIRES
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34E\FIRES>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile GAMELOOP.C
ECHO ----- I34E\FIRES Compile GAMELOOP.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES GAMELOOP.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES GAMELOOP.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile PROJEXPL.C
ECHO ----- I34E\FIRES Compile PROJEXPL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES PROJEXPL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES PROJEXPL.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile DIALOG.C
ECHO ----- I34E\FIRES Compile DIALOG.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES DIALOG.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES DIALOG.C   >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile DUNGEON.C
ECHO ----- I34E\FIRES Compile DUNGEON.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES DUNGEON.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES DUNGEON.C  >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile MENUDRAW.C
ECHO ----- I34E\FIRES Compile MENUDRAW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MENUDRAW.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MENUDRAW.C   >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile GROUP.C
ECHO ----- I34E\FIRES Compile GROUP.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES GROUP.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES GROUP.C    >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile MEMORY.C
ECHO ----- I34E\FIRES Compile MEMORY.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MEMORY.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MEMORY.C   >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile OBJECT.C
ECHO ----- I34E\FIRES Compile OBJECT.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES OBJECT.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES OBJECT.C   >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile MENU.C
ECHO ----- I34E\FIRES Compile MENU.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MENU.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MENU.C   >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile CHAMPION.C
ECHO ----- I34E\FIRES Compile CHAMPION.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CHAMPION.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CHAMPION.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile CHAMDRAW.C
ECHO ----- I34E\FIRES Compile CHAMDRAW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CHAMDRAW.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CHAMDRAW.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile REVIVE.C
ECHO ----- I34E\FIRES Compile REVIVE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES REVIVE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES REVIVE.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile MOVESENS.C
ECHO ----- I34E\FIRES Compile MOVESENS.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MOVESENS.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MOVESENS.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile COORD.C
ECHO ----- I34E\FIRES Compile COORD.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES COORD.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES COORD.C    >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile SOUND.C
ECHO ----- I34E\FIRES Compile SOUND.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES SOUND.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES SOUND.C    >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile DATA.C
ECHO ----- I34E\FIRES Compile DATA.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=74 -n\OBJECT\I34E\FIRES DATA.C     >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES DATA.C     >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile FLOPPY.C
ECHO ----- I34E\FIRES Compile FLOPPY.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=74 -n\OBJECT\I34E\FIRES FLOPPY.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES FLOPPY.C  >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile TEXT.C
ECHO ----- I34E\FIRES Compile TEXT.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES TEXT.C     >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES TEXT.C     >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile TIMELINE.C
ECHO ----- I34E\FIRES Compile TIMELINE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -Z    -DEXEID=74 -n\OBJECT\I34E\FIRES TIMELINE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -Z    -DEXEID=74 -n\OBJECT\I34E\FIRES TIMELINE.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile BASE.C
ECHO ----- I34E\FIRES Compile BASE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=74 -n\OBJECT\I34E\FIRES BASE.C     >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BASE.C     >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile CLIKVIEW.C
ECHO ----- I34E\FIRES Compile CLIKVIEW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CLIKVIEW.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CLIKVIEW.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile CLIKMENU.C
ECHO ----- I34E\FIRES Compile CLIKMENU.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CLIKMENU.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES CLIKMENU.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile PANEL.C
ECHO ----- I34E\FIRES Compile PANEL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES PANEL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES PANEL.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile LOADSAVE.C
ECHO ----- I34E\FIRES Compile LOADSAVE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES LOADSAVE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES LOADSAVE.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile ENDGAME.C
ECHO ----- I34E\FIRES Compile ENDGAME.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES ENDGAME.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES ENDGAME.C  >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile STRING.C
ECHO ----- I34E\FIRES Compile STRING.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES STRING.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES STRING.C   >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile COMMAND.C
ECHO ----- I34E\FIRES Compile COMMAND.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES COMMAND.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES COMMAND.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile DUNVIEW.C
ECHO ----- I34E\FIRES Compile DUNVIEW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -Z    -DEXEID=74 -n\OBJECT\I34E\FIRES DUNVIEW.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -Z    -DEXEID=74 -n\OBJECT\I34E\FIRES DUNVIEW.C  >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile IMAGE.C
ECHO ----- I34E\FIRES Compile IMAGE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=74 -n\OBJECT\I34E\FIRES IMAGE.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES IMAGE.C    >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile IO.C
ECHO ----- I34E\FIRES Compile IO.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=74 -n\OBJECT\I34E\FIRES IO.C       >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES IO.C       >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile BLTSHRNK.C
ECHO ----- I34E\FIRES Compile BLTSHRNK.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BLTSHRNK.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BLTSHRNK.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile BLITMASK.C
ECHO ----- I34E\FIRES Compile BLITMASK.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BLITMASK.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BLITMASK.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile BLITFILL.C
ECHO ----- I34E\FIRES Compile BLITFILL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BLITFILL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES BLITFILL.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile MUSIC.C
ECHO ----- I34E\FIRES Compile MUSIC.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MUSIC.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES MUSIC.C    >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile FILENAME.C
ECHO ----- I34E\FIRES Compile FILENAME.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES FILENAME.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=74 -n\OBJECT\I34E\FIRES FILENAME.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compile STARTUP2.C
ECHO ----- I34E\FIRES Compile STARTUP2.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -Z -B -DEXEID=74 -n\OBJECT\I34E\FIRES STARTUP2.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -Z    -DEXEID=74 -n\OBJECT\I34E\FIRES STARTUP2.C >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Link
ECHO ----- I34E\FIRES Link>>\BUILD\MKII.LOG
CD \OBJECT\I34E\FIRES
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ @\SOURCE\I34E.LNK \TCPP101\LIB\CL.LIB,\BUILD\I34E\FIRES.EXE,\BUILD\I34E\FIRES.MAP >>\BUILD\MKII.LOG
ECHO ----- I34E\FIRES Compress
ECHO ----- I34E\FIRES Compress>>\BUILD\MKII.LOG
CD \BUILD\I34E
LZEXE.EXE FIRES.EXE >>\BUILD\MKII.LOG
REN FIRES.EXE FIRES
CD \SOURCE

:EXEID84
IF NOT EXIST \SOURCE\EXEID84.TXT GOTO END
ECHO ----------------------------------------------------------------------
ECHO - Build executable I34M\FIRES
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO - Build executable I34M\FIRES>>\BUILD\MKII.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile GAMELOOP.C
ECHO ----- I34M\FIRES Compile GAMELOOP.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES GAMELOOP.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES GAMELOOP.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile PROJEXPL.C
ECHO ----- I34M\FIRES Compile PROJEXPL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES PROJEXPL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES PROJEXPL.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile DIALOG.C
ECHO ----- I34M\FIRES Compile DIALOG.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES DIALOG.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES DIALOG.C   >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile DUNGEON.C
ECHO ----- I34M\FIRES Compile DUNGEON.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES DUNGEON.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES DUNGEON.C  >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile MENUDRAW.C
ECHO ----- I34M\FIRES Compile MENUDRAW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MENUDRAW.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MENUDRAW.C   >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile GROUP.C
ECHO ----- I34M\FIRES Compile GROUP.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES GROUP.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES GROUP.C    >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile MEMORY.C
ECHO ----- I34M\FIRES Compile MEMORY.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MEMORY.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MEMORY.C   >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile OBJECT.C
ECHO ----- I34M\FIRES Compile OBJECT.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES OBJECT.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES OBJECT.C   >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile MENU.C
ECHO ----- I34M\FIRES Compile MENU.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MENU.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MENU.C   >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile CHAMPION.C
ECHO ----- I34M\FIRES Compile CHAMPION.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CHAMPION.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CHAMPION.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile CHAMDRAW.C
ECHO ----- I34M\FIRES Compile CHAMDRAW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CHAMDRAW.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CHAMDRAW.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile REVIVE.C
ECHO ----- I34M\FIRES Compile REVIVE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES REVIVE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES REVIVE.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile MOVESENS.C
ECHO ----- I34M\FIRES Compile MOVESENS.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MOVESENS.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MOVESENS.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile COORD.C
ECHO ----- I34M\FIRES Compile COORD.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES COORD.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES COORD.C    >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile SOUND.C
ECHO ----- I34M\FIRES Compile SOUND.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES SOUND.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES SOUND.C    >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile DATA.C
ECHO ----- I34M\FIRES Compile DATA.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=84 -n\OBJECT\I34M\FIRES DATA.C     >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES DATA.C     >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile FLOPPY.C
ECHO ----- I34M\FIRES Compile FLOPPY.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=84 -n\OBJECT\I34M\FIRES FLOPPY.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES FLOPPY.C  >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile TEXT.C
ECHO ----- I34M\FIRES Compile TEXT.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES TEXT.C     >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES TEXT.C     >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile TIMELINE.C
ECHO ----- I34M\FIRES Compile TIMELINE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -Z    -DEXEID=84 -n\OBJECT\I34M\FIRES TIMELINE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -Z    -DEXEID=84 -n\OBJECT\I34M\FIRES TIMELINE.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile BASE.C
ECHO ----- I34M\FIRES Compile BASE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=84 -n\OBJECT\I34M\FIRES BASE.C     >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BASE.C     >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile CLIKVIEW.C
ECHO ----- I34M\FIRES Compile CLIKVIEW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CLIKVIEW.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CLIKVIEW.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile CLIKMENU.C
ECHO ----- I34M\FIRES Compile CLIKMENU.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CLIKMENU.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES CLIKMENU.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile PANEL.C
ECHO ----- I34M\FIRES Compile PANEL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES PANEL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES PANEL.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile LOADSAVE.C
ECHO ----- I34M\FIRES Compile LOADSAVE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES LOADSAVE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES LOADSAVE.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile ENDGAME.C
ECHO ----- I34M\FIRES Compile ENDGAME.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES ENDGAME.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES ENDGAME.C  >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile STRING.C
ECHO ----- I34M\FIRES Compile STRING.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES STRING.C   >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES STRING.C   >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile COMMAND.C
ECHO ----- I34M\FIRES Compile COMMAND.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES COMMAND.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES COMMAND.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile DUNVIEW.C
ECHO ----- I34M\FIRES Compile DUNVIEW.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -Z    -DEXEID=84 -n\OBJECT\I34M\FIRES DUNVIEW.C  >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -Z    -DEXEID=84 -n\OBJECT\I34M\FIRES DUNVIEW.C  >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile IMAGE.C
ECHO ----- I34M\FIRES Compile IMAGE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=84 -n\OBJECT\I34M\FIRES IMAGE.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES IMAGE.C    >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile IO.C
ECHO ----- I34M\FIRES Compile IO.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O    -B -DEXEID=84 -n\OBJECT\I34M\FIRES IO.C       >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES IO.C       >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile BLTSHRNK.C
ECHO ----- I34M\FIRES Compile BLTSHRNK.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BLTSHRNK.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BLTSHRNK.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile BLITMASK.C
ECHO ----- I34M\FIRES Compile BLITMASK.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BLITMASK.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BLITMASK.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile BLITFILL.C
ECHO ----- I34M\FIRES Compile BLITFILL.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BLITFILL.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES BLITFILL.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile MUSIC.C
ECHO ----- I34M\FIRES Compile MUSIC.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MUSIC.C    >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES MUSIC.C    >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile FILENAME.C
ECHO ----- I34M\FIRES Compile FILENAME.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES FILENAME.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES FILENAME.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile STARTUP2.C
ECHO ----- I34M\FIRES Compile STARTUP2.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O -Z -B -DEXEID=84 -n\OBJECT\I34M\FIRES STARTUP2.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O -Z    -DEXEID=84 -n\OBJECT\I34M\FIRES STARTUP2.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compile LANGUAGE.C
ECHO ----- I34M\FIRES Compile LANGUAGE.C>>\BUILD\MKII.LOG
TCC.EXE -c -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES LANGUAGE.C >>\BUILD\MKII.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -O       -DEXEID=84 -n\OBJECT\I34M\FIRES LANGUAGE.C >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Link
ECHO ----- I34M\FIRES Link>>\BUILD\MKII.LOG
CD \OBJECT\I34M\FIRES
TLINK.EXE /i /s \OBJECT\I34E\STATS.EXE\C0L.OBJ @\SOURCE\I34M.LNK \TCPP101\LIB\CL.LIB,\BUILD\I34M\FIRES.EXE,\BUILD\I34M\FIRES.MAP >>\BUILD\MKII.LOG
ECHO ----- I34M\FIRES Compress
ECHO ----- I34M\FIRES Compress>>\BUILD\MKII.LOG
CD \BUILD\I34M
LZEXE.EXE FIRES.EXE >>\BUILD\MKII.LOG
REN FIRES.EXE FIRES

:END
CD \

ECHO +====================================================================+
ECHO + Build complete                                                     +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKII.LOG
ECHO + Build complete                                                     +>>\BUILD\MKII.LOG
ECHO +====================================================================+>>\BUILD\MKII.LOG
